[Numpy-svn] r5515 - trunk

numpy-svn@scip... numpy-svn@scip...
Wed Jul 23 23:29:44 CDT 2008


Author: cdavid
Date: 2008-07-23 23:29:40 -0500 (Wed, 23 Jul 2008)
New Revision: 5515

Added:
   trunk/INSTALL.txt
Log:
Start working on a INSTALL.txt document for building/installing numpy.

Added: trunk/INSTALL.txt
===================================================================
--- trunk/INSTALL.txt	2008-07-24 04:12:37 UTC (rev 5514)
+++ trunk/INSTALL.txt	2008-07-24 04:29:40 UTC (rev 5515)
@@ -0,0 +1,30 @@
+.. -*- rest -*-
+.. vim:syntax=rest
+.. NB! Keep this document a valid restructured document.
+
+Building and installing NumPy
++++++++++++++++++++++++++++++
+
+:Authors: Numpy Developers <numpy-discussion@scipy.org>
+:Discussions to: numpy-discussion@scipy.org
+
+.. Contents::
+
+PREREQUISITES
+=============
+
+Building NumPy requires the following software installed:
+
+1) Python__ 2.4.x or newer
+
+   On Debian and derivative (Ubuntu): python python-dev
+
+   On Windows: the official python installer on Python__ is enough
+
+   Make sure that the Python package distutils is installed before
+   continuing. For example, in Debian GNU/Linux, distutils is included
+   in the python-dev package.
+
+   Python must also be compiled with the zlib module enabled.
+
+__ http://www.python.org



More information about the Numpy-svn mailing list